<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::equalizer Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html">equalizer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::equalizer Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1equalizer_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_equalizer_band_mapper_interface.html">EqualizerBandMapperInterface</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_equalizer_controller.html">EqualizerController</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_equalizer_linear_band_mapper.html">EqualizerLinearBandMapper</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_equalizer_utils.html">EqualizerUtils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_misc_d_b_equalizer_storage.html">MiscDBEqualizerStorage</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_s_d_k_config_equalizer_configuration.html">SDKConfigEqualizerConfiguration</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#ae71b3d1b5d97e15bbd94985be044e6f0">TAG</a> {&quot;EqualizerController&quot;}</td></tr>
<tr class="memdesc:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#ae71b3d1b5d97e15bbd94985be044e6f0">More...</a><br /></td></tr>
<tr class="separator:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#ae71b3d1b5d97e15bbd94985be044e6f0">TAG</a> {&quot;EqualizerLinearBandMapper&quot;}</td></tr>
<tr class="memdesc:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#ae71b3d1b5d97e15bbd94985be044e6f0">More...</a><br /></td></tr>
<tr class="separator:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4785f05774394c32560b204e9578a58"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#ad4785f05774394c32560b204e9578a58">MIN_TARGET_BANDS</a> = 1</td></tr>
<tr class="memdesc:ad4785f05774394c32560b204e9578a58"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimum number of target bands supported.  <a href="#ad4785f05774394c32560b204e9578a58">More...</a><br /></td></tr>
<tr class="separator:ad4785f05774394c32560b204e9578a58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad57713fa9167cdc1fbdff335057db54c"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#ad57713fa9167cdc1fbdff335057db54c">MAX_TARGET_BANDS</a> = 1000</td></tr>
<tr class="separator:ad57713fa9167cdc1fbdff335057db54c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#ae71b3d1b5d97e15bbd94985be044e6f0">TAG</a> {&quot;EqualizerUtils&quot;}</td></tr>
<tr class="memdesc:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#ae71b3d1b5d97e15bbd94985be044e6f0">More...</a><br /></td></tr>
<tr class="separator:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa14539009f75844d24c48ad831ad482c"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#aa14539009f75844d24c48ad831ad482c">JSON_KEY_BANDS</a> [] = &quot;bands&quot;</td></tr>
<tr class="memdesc:aa14539009f75844d24c48ad831ad482c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "bands" JSON branch.  <a href="#aa14539009f75844d24c48ad831ad482c">More...</a><br /></td></tr>
<tr class="separator:aa14539009f75844d24c48ad831ad482c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca9681e9bb2950368547fc9f037d86d4"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#aca9681e9bb2950368547fc9f037d86d4">JSON_KEY_NAME</a> [] = &quot;name&quot;</td></tr>
<tr class="memdesc:aca9681e9bb2950368547fc9f037d86d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "name" JSON value.  <a href="#aca9681e9bb2950368547fc9f037d86d4">More...</a><br /></td></tr>
<tr class="separator:aca9681e9bb2950368547fc9f037d86d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa867e676728c8035b1ebf87d9298e514"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#aa867e676728c8035b1ebf87d9298e514">JSON_KEY_LEVEL</a> [] = &quot;level&quot;</td></tr>
<tr class="memdesc:aa867e676728c8035b1ebf87d9298e514"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "level" JSON value.  <a href="#aa867e676728c8035b1ebf87d9298e514">More...</a><br /></td></tr>
<tr class="separator:aa867e676728c8035b1ebf87d9298e514"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb6088b208de6b806ab9a3c92e6fcdda"><td class="memItemLeft" align="right" valign="top">constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#acb6088b208de6b806ab9a3c92e6fcdda">JSON_KEY_MODE</a> [] = &quot;mode&quot;</td></tr>
<tr class="memdesc:acb6088b208de6b806ab9a3c92e6fcdda"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for "mode" JSON value.  <a href="#acb6088b208de6b806ab9a3c92e6fcdda">More...</a><br /></td></tr>
<tr class="separator:acb6088b208de6b806ab9a3c92e6fcdda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#ae71b3d1b5d97e15bbd94985be044e6f0">TAG</a> {&quot;InMemoryEqualizerConfiguration&quot;}</td></tr>
<tr class="memdesc:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#ae71b3d1b5d97e15bbd94985be044e6f0">More...</a><br /></td></tr>
<tr class="separator:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27917d3184db8ed5adf0823fa72ee1b1"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#a27917d3184db8ed5adf0823fa72ee1b1">DEFAULT_LEVEL</a> = 0</td></tr>
<tr class="memdesc:a27917d3184db8ed5adf0823fa72ee1b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default level value.  <a href="#a27917d3184db8ed5adf0823fa72ee1b1">More...</a><br /></td></tr>
<tr class="separator:a27917d3184db8ed5adf0823fa72ee1b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1649cf139118b7604272f291dd03192"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#af1649cf139118b7604272f291dd03192">DEFAULT_MIN_LEVEL</a> = -6</td></tr>
<tr class="memdesc:af1649cf139118b7604272f291dd03192"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default minimum band level in dB. -6 dB effectively halving the amplitude of the band.  <a href="#af1649cf139118b7604272f291dd03192">More...</a><br /></td></tr>
<tr class="separator:af1649cf139118b7604272f291dd03192"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4b7a395b668bbd5637cf8a12386d0fc"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#af4b7a395b668bbd5637cf8a12386d0fc">DEFAULT_MAX_LEVEL</a> = 6</td></tr>
<tr class="memdesc:af4b7a395b668bbd5637cf8a12386d0fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default maximum band level in dB. +6 dB effectively doubling the amplitude of the band.  <a href="#af4b7a395b668bbd5637cf8a12386d0fc">More...</a><br /></td></tr>
<tr class="separator:af4b7a395b668bbd5637cf8a12386d0fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#ae71b3d1b5d97e15bbd94985be044e6f0">TAG</a> {&quot;MiscDBEqualizerStorage&quot;}</td></tr>
<tr class="memdesc:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#ae71b3d1b5d97e15bbd94985be044e6f0">More...</a><br /></td></tr>
<tr class="separator:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5974248c6e668af29bf9e8f3f8ba5232"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#a5974248c6e668af29bf9e8f3f8ba5232">COMPONENT_NAME</a> = &quot;equalizerController&quot;</td></tr>
<tr class="memdesc:a5974248c6e668af29bf9e8f3f8ba5232"><td class="mdescLeft">&#160;</td><td class="mdescRight">Component name needed for Misc DB.  <a href="#a5974248c6e668af29bf9e8f3f8ba5232">More...</a><br /></td></tr>
<tr class="separator:a5974248c6e668af29bf9e8f3f8ba5232"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad690226c5935d10b8facd090d43f2e9b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#ad690226c5935d10b8facd090d43f2e9b">EQUALIZER_STATE_TABLE</a> = &quot;equalizerState&quot;</td></tr>
<tr class="memdesc:ad690226c5935d10b8facd090d43f2e9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Misc DB table for equalizer state.  <a href="#ad690226c5935d10b8facd090d43f2e9b">More...</a><br /></td></tr>
<tr class="separator:ad690226c5935d10b8facd090d43f2e9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a187bed36ce95b131be3ff219fbfc41"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#a0a187bed36ce95b131be3ff219fbfc41">EQUALIZER_STATE_KEY</a> = &quot;state&quot;</td></tr>
<tr class="memdesc:a0a187bed36ce95b131be3ff219fbfc41"><td class="mdescLeft">&#160;</td><td class="mdescRight">Key for equalizer state in Misc DB table.  <a href="#a0a187bed36ce95b131be3ff219fbfc41">More...</a><br /></td></tr>
<tr class="separator:a0a187bed36ce95b131be3ff219fbfc41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#ae71b3d1b5d97e15bbd94985be044e6f0">TAG</a> {&quot;SDKConfigEqualizerConfiguration&quot;}</td></tr>
<tr class="memdesc:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#ae71b3d1b5d97e15bbd94985be044e6f0">More...</a><br /></td></tr>
<tr class="separator:ae71b3d1b5d97e15bbd94985be044e6f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e69f38091409e5f9b99edcaebca8104"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#a6e69f38091409e5f9b99edcaebca8104">ENABLED_CONFIG_KEY</a> = &quot;enabled&quot;</td></tr>
<tr class="memdesc:a6e69f38091409e5f9b99edcaebca8104"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for "enabled" value.  <a href="#a6e69f38091409e5f9b99edcaebca8104">More...</a><br /></td></tr>
<tr class="separator:a6e69f38091409e5f9b99edcaebca8104"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8baad786ad6f7e84131557d55e1d4124"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#a8baad786ad6f7e84131557d55e1d4124">BANDS_CONFIG_KEY</a> = &quot;bands&quot;</td></tr>
<tr class="memdesc:a8baad786ad6f7e84131557d55e1d4124"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for "equalizer" branch.  <a href="#a8baad786ad6f7e84131557d55e1d4124">More...</a><br /></td></tr>
<tr class="separator:a8baad786ad6f7e84131557d55e1d4124"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3039a7475f7136b30e3e0dc58ead17a2"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#a3039a7475f7136b30e3e0dc58ead17a2">MODES_CONFIG_KEY</a> = &quot;modes&quot;</td></tr>
<tr class="memdesc:a3039a7475f7136b30e3e0dc58ead17a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for "modes" branch.  <a href="#a3039a7475f7136b30e3e0dc58ead17a2">More...</a><br /></td></tr>
<tr class="separator:a3039a7475f7136b30e3e0dc58ead17a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d63e87a7c37d067aadbff3780700f89"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#a7d63e87a7c37d067aadbff3780700f89">MODE_CONFIG_KEY</a> = &quot;mode&quot;</td></tr>
<tr class="memdesc:a7d63e87a7c37d067aadbff3780700f89"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for "mode" value.  <a href="#a7d63e87a7c37d067aadbff3780700f89">More...</a><br /></td></tr>
<tr class="separator:a7d63e87a7c37d067aadbff3780700f89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48e61ce817efe784bccc75761316ccda"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#a48e61ce817efe784bccc75761316ccda">DEFAULT_STATE_CONFIG_KEY</a> = &quot;defaultState&quot;</td></tr>
<tr class="memdesc:a48e61ce817efe784bccc75761316ccda"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for "defaultState" branch.  <a href="#a48e61ce817efe784bccc75761316ccda">More...</a><br /></td></tr>
<tr class="separator:a48e61ce817efe784bccc75761316ccda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60389c672f1ca091df76c8b660611f4f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#a60389c672f1ca091df76c8b660611f4f">MIN_LEVEL_CONFIG_KEY</a> = &quot;minLevel&quot;</td></tr>
<tr class="memdesc:a60389c672f1ca091df76c8b660611f4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for "minLevel" value.  <a href="#a60389c672f1ca091df76c8b660611f4f">More...</a><br /></td></tr>
<tr class="separator:a60389c672f1ca091df76c8b660611f4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad750961e0397e9d0e4fd44612081182d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html#ad750961e0397e9d0e4fd44612081182d">MAX_LEVEL_CONFIG_KEY</a> = &quot;maxLevel&quot;</td></tr>
<tr class="memdesc:ad750961e0397e9d0e4fd44612081182d"><td class="mdescLeft">&#160;</td><td class="mdescRight">JSON key for "maxLevel" value.  <a href="#ad750961e0397e9d0e4fd44612081182d">More...</a><br /></td></tr>
<tr class="separator:ad750961e0397e9d0e4fd44612081182d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a8baad786ad6f7e84131557d55e1d4124"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8baad786ad6f7e84131557d55e1d4124">&#9670;&nbsp;</a></span>BANDS_CONFIG_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::BANDS_CONFIG_KEY = &quot;bands&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>JSON key for "equalizer" branch. </p>

</div>
</div>
<a id="a5974248c6e668af29bf9e8f3f8ba5232"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5974248c6e668af29bf9e8f3f8ba5232">&#9670;&nbsp;</a></span>COMPONENT_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::COMPONENT_NAME = &quot;equalizerController&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Component name needed for Misc DB. </p>

</div>
</div>
<a id="a27917d3184db8ed5adf0823fa72ee1b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27917d3184db8ed5adf0823fa72ee1b1">&#9670;&nbsp;</a></span>DEFAULT_LEVEL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr int alexaClientSDK::equalizer::DEFAULT_LEVEL = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default level value. </p>

</div>
</div>
<a id="af4b7a395b668bbd5637cf8a12386d0fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4b7a395b668bbd5637cf8a12386d0fc">&#9670;&nbsp;</a></span>DEFAULT_MAX_LEVEL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr int alexaClientSDK::equalizer::DEFAULT_MAX_LEVEL = 6</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default maximum band level in dB. +6 dB effectively doubling the amplitude of the band. </p>

</div>
</div>
<a id="af1649cf139118b7604272f291dd03192"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1649cf139118b7604272f291dd03192">&#9670;&nbsp;</a></span>DEFAULT_MIN_LEVEL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr int alexaClientSDK::equalizer::DEFAULT_MIN_LEVEL = -6</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default minimum band level in dB. -6 dB effectively halving the amplitude of the band. </p>

</div>
</div>
<a id="a48e61ce817efe784bccc75761316ccda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48e61ce817efe784bccc75761316ccda">&#9670;&nbsp;</a></span>DEFAULT_STATE_CONFIG_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::DEFAULT_STATE_CONFIG_KEY = &quot;defaultState&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>JSON key for "defaultState" branch. </p>

</div>
</div>
<a id="a6e69f38091409e5f9b99edcaebca8104"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e69f38091409e5f9b99edcaebca8104">&#9670;&nbsp;</a></span>ENABLED_CONFIG_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::ENABLED_CONFIG_KEY = &quot;enabled&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>JSON key for "enabled" value. </p>

</div>
</div>
<a id="a0a187bed36ce95b131be3ff219fbfc41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a187bed36ce95b131be3ff219fbfc41">&#9670;&nbsp;</a></span>EQUALIZER_STATE_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::EQUALIZER_STATE_KEY = &quot;state&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Key for equalizer state in Misc DB table. </p>

</div>
</div>
<a id="ad690226c5935d10b8facd090d43f2e9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad690226c5935d10b8facd090d43f2e9b">&#9670;&nbsp;</a></span>EQUALIZER_STATE_TABLE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::EQUALIZER_STATE_TABLE = &quot;equalizerState&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Misc DB table for equalizer state. </p>

</div>
</div>
<a id="aa14539009f75844d24c48ad831ad482c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa14539009f75844d24c48ad831ad482c">&#9670;&nbsp;</a></span>JSON_KEY_BANDS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::equalizer::JSON_KEY_BANDS[] = &quot;bands&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name for "bands" JSON branch. </p>

</div>
</div>
<a id="aa867e676728c8035b1ebf87d9298e514"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa867e676728c8035b1ebf87d9298e514">&#9670;&nbsp;</a></span>JSON_KEY_LEVEL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::equalizer::JSON_KEY_LEVEL[] = &quot;level&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name for "level" JSON value. </p>

</div>
</div>
<a id="acb6088b208de6b806ab9a3c92e6fcdda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb6088b208de6b806ab9a3c92e6fcdda">&#9670;&nbsp;</a></span>JSON_KEY_MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::equalizer::JSON_KEY_MODE[] = &quot;mode&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name for "mode" JSON value. </p>

</div>
</div>
<a id="aca9681e9bb2950368547fc9f037d86d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca9681e9bb2950368547fc9f037d86d4">&#9670;&nbsp;</a></span>JSON_KEY_NAME</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::equalizer::JSON_KEY_NAME[] = &quot;name&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name for "name" JSON value. </p>

</div>
</div>
<a id="ad750961e0397e9d0e4fd44612081182d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad750961e0397e9d0e4fd44612081182d">&#9670;&nbsp;</a></span>MAX_LEVEL_CONFIG_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::MAX_LEVEL_CONFIG_KEY = &quot;maxLevel&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>JSON key for "maxLevel" value. </p>

</div>
</div>
<a id="ad57713fa9167cdc1fbdff335057db54c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad57713fa9167cdc1fbdff335057db54c">&#9670;&nbsp;</a></span>MAX_TARGET_BANDS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int alexaClientSDK::equalizer::MAX_TARGET_BANDS = 1000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Maximum number of target bands supported. An unrealistic value is chosen to handle cases when huge number is provided by mistake. </p>

</div>
</div>
<a id="a60389c672f1ca091df76c8b660611f4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60389c672f1ca091df76c8b660611f4f">&#9670;&nbsp;</a></span>MIN_LEVEL_CONFIG_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::MIN_LEVEL_CONFIG_KEY = &quot;minLevel&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>JSON key for "minLevel" value. </p>

</div>
</div>
<a id="ad4785f05774394c32560b204e9578a58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4785f05774394c32560b204e9578a58">&#9670;&nbsp;</a></span>MIN_TARGET_BANDS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int alexaClientSDK::equalizer::MIN_TARGET_BANDS = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Minimum number of target bands supported. </p>

</div>
</div>
<a id="a7d63e87a7c37d067aadbff3780700f89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d63e87a7c37d067aadbff3780700f89">&#9670;&nbsp;</a></span>MODE_CONFIG_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::MODE_CONFIG_KEY = &quot;mode&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>JSON key for "mode" value. </p>

</div>
</div>
<a id="a3039a7475f7136b30e3e0dc58ead17a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3039a7475f7136b30e3e0dc58ead17a2">&#9670;&nbsp;</a></span>MODES_CONFIG_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::MODES_CONFIG_KEY = &quot;modes&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>JSON key for "modes" branch. </p>

</div>
</div>
<a id="ae71b3d1b5d97e15bbd94985be044e6f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae71b3d1b5d97e15bbd94985be044e6f0">&#9670;&nbsp;</a></span>TAG <span class="overload">[1/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::TAG {&quot;EqualizerLinearBandMapper&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="ae71b3d1b5d97e15bbd94985be044e6f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae71b3d1b5d97e15bbd94985be044e6f0">&#9670;&nbsp;</a></span>TAG <span class="overload">[2/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::TAG {&quot;InMemoryEqualizerConfiguration&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="ae71b3d1b5d97e15bbd94985be044e6f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae71b3d1b5d97e15bbd94985be044e6f0">&#9670;&nbsp;</a></span>TAG <span class="overload">[3/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::TAG {&quot;EqualizerController&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="ae71b3d1b5d97e15bbd94985be044e6f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae71b3d1b5d97e15bbd94985be044e6f0">&#9670;&nbsp;</a></span>TAG <span class="overload">[4/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::TAG {&quot;EqualizerUtils&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="ae71b3d1b5d97e15bbd94985be044e6f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae71b3d1b5d97e15bbd94985be044e6f0">&#9670;&nbsp;</a></span>TAG <span class="overload">[5/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::TAG {&quot;MiscDBEqualizerStorage&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="ae71b3d1b5d97e15bbd94985be044e6f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae71b3d1b5d97e15bbd94985be044e6f0">&#9670;&nbsp;</a></span>TAG <span class="overload">[6/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::equalizer::TAG {&quot;SDKConfigEqualizerConfiguration&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
